package com.ssm.manage.service;

import com.github.pagehelper.PageInfo;
import com.ssm.core.service.BaseService;
import com.ssm.manage.entity.SmsException;
import com.ssm.manage.entity.SysRole;
import com.ssm.manage.query.RoleRequest;

public interface SsmSysRoleService extends BaseService<SysRole> {
    PageInfo<SysRole> selectPage(RoleRequest roleRequest);

    int saveSysRole(SysRole sysRole,String userNum) throws SmsException;

    int updateSysRole(SysRole sysRole,String userNum) throws SmsException;

    int updateSysRoleState(RoleRequest roleRequest,String userNum);
}
